diff --git src/ssl/package.lisp src/ssl/package.lisp
index e6184b1..9b2cd76 100644
--- src/ssl/package.lisp
+++ src/ssl/package.lisp
@@ -54,6 +54,7 @@
   #+(or openbsd linux)
   (progn
     (cffi:define-foreign-library libcrypto
+      (:darwin "@@MACPORTS_OPENSSL_LIB@@/libcrypto.dylib")
       (:openbsd "libcrypto.so")
       (:linux (:or "libcrypto.so.1.1"
                    "libcrypto.so.1.0.2"
@@ -69,13 +70,14 @@
     ;; (missing TLSv1_[1,2]_XXX methods,
     ;; see https://github.com/cl-plus-ssl/cl-plus-ssl/issues/56)
     ;; so first try to load possible custom installations of libssl
-    (:darwin (:or "/opt/local/lib/libssl.dylib" ;; MacPorts
-                  "/sw/lib/libssl.dylib"        ;; Fink
-                  "/usr/local/opt/openssl/lib/libssl.dylib" ;; Homebrew
-                  "/opt/homebrew/opt/openssl/lib/libssl.dylib" ;; Homebrew Arm64
-                  "/usr/local/lib/libssl.dylib" ;; personalized install
-                  "libssl.dylib"                ;; default system libssl, which may have insufficient crypto
-                  "/usr/lib/libssl.dylib"))
+    (:darwin (:or "@@MACPORTS_OPENSSL_LIB@@/libssl.dylib" ;; MacPorts
+                  ;; "/sw/lib/libssl.dylib"        ;; Fink
+                  ;; "/usr/local/opt/openssl/lib/libssl.dylib" ;; Homebrew
+                  ;; "/opt/homebrew/opt/openssl/lib/libssl.dylib" ;; Homebrew Arm64
+                  ;; "/usr/local/lib/libssl.dylib" ;; personalized install
+                  ;; "libssl.dylib"                ;; default system libssl, which may have insufficient crypto
+                  ;; "/usr/lib/libssl.dylib"
+                  ))
     (:solaris (:or "/lib/64/libssl.so"
                    "libssl.so.0.9.8" "libssl.so" "libssl.so.4"))
     ;; Unlike some other systems, OpenBSD linker,
